---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    certmanager.k8s.io/acme-challenge-type: http01
    certmanager.k8s.io/acme-http01-edit-in-place: "true"
    certmanager.k8s.io/cluster-issuer: letsencrypt
    kubernetes.io/tls-acme: "true"
    ingress.kubernetes.io/force-ssl-redirect: "true"
    ingress.kubernetes.io/ssl-redirect: "true"
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/auth-type: basic
    nginx.ingress.kubernetes.io/auth-secret: nginx-basic
  name: nginx
  namespace: ingress-20191001
spec:
  rules:
  - host: nginx.ingress-20191001.srwx.net
    http:
      paths:
      - path: /
        backend:
          serviceName: nginx-root
          servicePort: 80
      - path: /sad/
        backend:
          serviceName: nginx-endpoint
          servicePort: 80
  tls:
  - hosts:
    - nginx.ingress-20191001.srwx.net
    secretName: echoserver-tls-nginx

